#!/bin/bash
source /root/envsetup/global-conf.sh

# MS package install
if ( dpkg -s python3-mediaserver-monitor >/dev/null 2>&1 ); then
	DEBIAN_FRONTEND=noninteractive apt-get install -y --reinstall python3-mediaserver-monitor
else
	DEBIAN_FRONTEND=noninteractive apt-get install -y python3-mediaserver-monitor
fi

if [[ "${MONITOR_SHELL_PWD}" != "" ]]; then
	echo -e "${MONITOR_SHELL_PWD}\n${MONITOR_SHELL_PWD}" | passwd -q msmonitor
	echo -e "\033[1;33mThe msmonitor account password has been set.\033[0m"
fi
